/*
 * Position.java	01.07.99
 *
 *
 * Beilage zum Buch "Software-Entwurf mit UML"
 * von J.Seemann & J. Wolff von Gudenberg,
 * Springer-Verlag, 1999
 * 
 */

/** <i>Hilfsklasse zur Vereinfachung der Programmierung</i> */

public class Position
{
    protected int X;
    protected int Y;

    public Position(int X, int Y)  {  this.X = X; this.Y = Y; }
    public Position() {X = 0; Y = 0;}
    public int getX()  {  return X; }
    public int getY()  {  return Y; }
    public void setX(int X)  {  this.X = X; }
    public void setY(int Y)  {  this.Y = Y; }

    // Abkuerzungen fuer die obenstehenden Methoden
    public int X()  {  return X; }
    public int Y()  {  return Y; }
    public void X(int X)  {  this.X = X; }
    public void Y(int Y)  {  this.Y = Y; }
}